2021-06-28  Karl Berry  <karl@freefriends.org>

	* README: list the macros obsoleted by autoconf 2.70 which we use.

2021-02-09  Karl Berry  <karl@freefriends.org>

	* kpse-setup.m4 (_KPSE_RECURSE): add debug if configure not found.

2021-02-07  Karl Berry  <karl@freefriends.org>

	* kpse-pkgs.m4 (KPSE_UTILS_PKGS): new utils program xml2pmx.

2020-05-14  Karl Berry  <karl@freefriends.org>

	* kpse-pkgs.m4 (KPSE_LIBS_PKGS),
	(KPSE_POPPLER_SYSTEM_FLAGS): remove poppler.
	* kpse-poppler-flags.m4: remove file.
	* kpse-xpdf-flags.m4 (KPSE_XPDF_OPTIONS): no more system option.
	(KPSE_XPDF_SYSTEM_FLAGS): no-op.

2020-04-21 Luigi Scarso <luigi.scarso@gmail.com>

	* kpse-pkgs.m4 (KPSE_LIBS_PKGS): add pplib.
	* Add kpse-pplib-flags.m4.

2020-03-14  Karl Berry  <karl@freefriends.org>

	* kpse-setup.m4 (KPSE_SETUP): make that powerpc*, not powerpc-*.
	Johannes H tlbuild mail, 16 Feb 2020 23:09:54.

2020-03-12  Karl Berry  <karl@freefriends.org>

	* kpse-setup.m4 (KPSE_SETUP): disable jit programs on any
	powerpc-*, not just powerpc-darwin, since jit is also unavailable
	on powerpc-linux (specifically powerpc64le-unknown-linux-gnu),
	per Johannes Hielscher. Although apparently there are patches to
	"floating around" to make jit work on powerpc, they are not in TL,
	and let's await anyone who actually needs them before refining.
	https://tug.org/pipermail/tlbuild/2020q1/004627.html (item 1).

2020-01-13  Karl Berry  <karl@tug.org>

	* kpse-setup.m4 (KPSE_SETUP): use AS_TR_SH on the argument when
	disabling the jit packages, for the sake of making mfluajit-nowin
	into mfluajit_nowin for shell usage.
	Also change one "WIN32" to "Windows" in an error message.

2020-01-12  Mojca Miklavec  <mojca.miklavec.lists@gmail.com>

	* kpse-setup.m4 (KPSE_SETUP): also disable mfluajit and mfluajit-nowin.

2019-06-26  Karl Berry  <karl@freefriends.org>

	* kpse-harfbuzz-flags.m4 (KPSE_HARFBUZZ_FLAGS): omit KPSE_ICU_FLAGS.
	(KPSE_HARFBUZZ_SYSTEM_FLAGS): call pkg-config harfbuzz,
	not harfbuzz-icu.

2019-03-25  Karl Berry  <karl@freefriends.org>

	* kpse-freetype2-flags.m4 (KPSE_FREETYPE2_SYSTEM_FLAGS): try
	pkg-config if freetype-config is not available. From Debian.

2019-02-18  Luigi Scarso  <luigi.scarso@gmail.com>

	* kpse-win32.m4 (KPSE_COND_WIN32_WRAP): if w64 and mingw,
	use different wrapper.

2019-01-11  Karl Berry  <karl@freefriends.org>

	* kpse-luajit-flags.m4 (KPSE_LUAJIT_FLAGS): try LIBLUAJIT_LDEXTRA,
	following (sort of):
	https://github.com/TeX-Live/luatex/commit/273de1c6308ab9378905a5e1929b19207e2765af

2019-01-10  Karl Berry  <karl@freefriends.org>

	* kpse-luajit-flags.m4 (KPSE_LUAJIT_FLAGS): check for
	-lc++abi -lpthread, needed with clang on openbsd.
	Test from Mojca.

2019-01-08  Karl Berry  <karl@tug.org>

	* kpse-pkgs.m4 (KPSE_LIBS_PKGS): lua52 gone.

2018-12-24  Karl Berry  <karl@freefriends.org>

	* kpse-common.m4,
	* kpse-pkgs.m4,
	* kpse-setup.m4,
	* kpse-visibility.m4: consistently use tldbg in tracing messages,
	both in the configure scripts and the config.log transcript.
	* kpse-icu-flags.m4 (_KPSE_ICU_FLAGS): special case to include
	-lpthread when $build_os is openbsd. Reported by Mojca and Nelson
	and others, e.g.,
	https://tug.org/pipermail/tlbuild/2017q2/003799.html

2018-08-27  Karl Berry  <karl@freefriends.org>

	* kpse-potrace-flags.m4: remove file, again bundled with dvisvgm.
	* kpse-pkgs.m4 (KPSE_ALL_SYSTEM_FLAGS),
	(kpse_libs_pkgs): no more potrace.

2018-02-09  Karl Berry  <karl@freefriends.org>

	* kpse-pkgs.m4 (kpse_utils_pkgs): add axodraw2.

2018-01-08  Karl Berry  <karl@freefriends.org>

	* ax_cxx_compile_stdcxx.m4: move from dvisvgm; original from
	https://www.gnu.org/software/autoconf-archive/ax_cxx_compile_stdcxx.html#ax_cxx_compile_stdcxx

2017-12-08  Norbert Preining  <preining@logic.at>

	* kpse-icu-flags.m4 (KPSE_ICU_SYSTEM_FLAGS): also check for PKG_CONFIG.
	(KPSE_ICU_SYSTEM_FLAGS): try pkg-config if icu-config fails.

2017-12-02  Karl Berry  <karl@freefriends.org>

	* kpse-visibility.m4 (KPSE_COMPILER_VISIBILITY): write debug line.
	(_KPSE_VISIBILITY_FLAGS): only restore from kpse_save_flags
	if we set it, i.e., if not using the cached value. (Otherwise,
	e.g., in libpng, we can end up overriding the user-set CFLAGS with
	the empty string.)

2017-11-02  Karl Berry  <karl@freefriends.org>

	* kpse-setup.m4 (_KPSE_RECURSE): revert previous change,
	as (1) it causes configure to fail in the cut-down pdftex source tree,
	and (2) for 2018, more packages (icu, poppler, ...) are going to
	require C++11, so we can't hack around it again. So not worth
	spending more time refining.
	Also, write debug line to >&AS_MESSAGE_LOG_FD (config.log).
	reautoconf.

2017-02-17  Karl Berry  <karl@freefriends.org>

	* kpse-setup.m4 (_KPSE_RECURSE): do not add a package to
	CONF_SUBDIRS if --disable-PKG was given. Thus, the directory for a
	disabled package will no longer be descended into at all, as if it
	were nonexistent. This way, if a package's configure causes
	problems on some systems (like dvisvgm v2's new requirement for
	C++11), --disable-PKG can be given and work can go on.

2016-03-07  Karl Berry  <karl@tug.org>

	* kpse-pkgs (KPSE_UTILS_PKGS): add autosp.

2016-02-09  TANAKA Takuji  <ttk@t-lab.opal.ne.jp>

	* kpse-pkgs.m4 (KPSE_TEXK_PKGS): add upmendex.

2015-09-27  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* kpse-setup.m4: Allow LuaJIT for x86_64-cygwin.

2015-09-04  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* kpse-lib-version.m4 (KPSE_LIB_VERSION): Allow more general
	version number suffix strings, e.g., "-beta1".

2015-08-14  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* kpse-pkgs.m4 (kpse_texk_pkgs): Add gregorio.

2015-08-13  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* kpse-setup.m4: Allow shared libraries (DLLs) in native TeXLive
	builds for Cygwin and MinGW.

2015-06-12  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* kpse-warnings.m4: Warning flags for gcc 5.x.
	* kpse-web2c.m4: Better handling of --disable-mf-nowin.
	* kpse-common.m4: Check if <ctype.h> declares isascii.
	* kpse-setup.m4: MFLuaJIT requires LuaJIT.
	* kpse-poppler-flags.m4: LuaTeX requires poppler 0.30 or better.

2015-03-30  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* kpse-web2c.m4: Add KPSE_WITH_XMF and KPSE_XMF_COND.

2015-03-26  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* kpse-graphite2-flags.m4: Does not depend on other libraries.
	* kpse-icu-flags.m4: Drop handling of a historic bug from V4.4.

2015-03-12  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* kpse-{kpathsea,ptexenc}-flags.m4: Use pkg-config.
	* kpse-common.m4 (_KPSE_PKG_CONFIG_FLAGS): Common code.

2015-03-10  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* kpse-common.m4 (KPSE_COMMON): Drop checks for strcasecmp,
	strtol, and strstr.

2015-03-07  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* kpse-win32.m4: Define KPSE_DO_IF_WIN32 for WIN32 only tests.

2015-02-19  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* kpse-cairo-flags.m4: Require KPSE_PIXMAN_FLAGS.
	* kpse-poppler-flags.m4: Require KPSE_ZLIB_FLAGS.
	* kpse-teckit-flags.m4: Use pkg-config.

2015-02-10  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* kpse-pkgs.m4 (kpse_texk_pkgs): Add musixtnt.

2015-01-14  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* kpse-setup.m4: Disable LuaJITTeX for powerpc-*-darwin*.

2014-12-24  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* kpse-pkgs.m4 (kpse_texk_pkgs): Move lacheck from here ...
	(kpse_utils_pkgs): ... to here.

2014-12-23  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* kpse-pkgs.m4 (kpse_texk_pkgs): Move devnag from here ...
	(kpse_utils_pkgs): ... to here.

2014-12-06  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* kpse-pkgs.m4 (kpse_texk_pkgs): Rename ps2pkm => ps2pk.

2014-12-06  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* kpse-options.m4: Set platform name to ${host_alias-$host}.

2014-12-05  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* kpse-luajit-flags.m4: LuaJIT is now a Libtool library.

2014-12-02  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* kpse-visibility.m4: Also try -fvisibility-inlines-hidden.

2014-11-17  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* kpse-win32.m4: Check for WIN64 and AC_SUBST([WIN_WRAPPER]).

2014-10-22  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* kpse-lua52-flags.m4: Lua52 is now a Libtool library.
	* kpse-dll-name.m4: New file to specify MinGW/Cygwin DLL names.

2014-06-16  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* kpse-gmp-flags.m4, kpse-mpfr-flags.m4: New files.
	* kpse-pkgs.m4 (kpse_libs_pkgs): Add gmp and mpfr.

	* kpse-lua52-flags.m4 (LUA52_DEFINES): Add -DLUAI_HASHLIMIT=6.
	* kpse-luajit-flags.m4 (LUAJIT_DEFINES): Add -DLUAI_HASHLIMIT=6.

	* kpse-search-libs.m4, kpse-size-max.m4: New files.

2014-05-06  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* kpse-pkgs.m4 (kpse_utils_pkgs): Drop biber.

2014-03-25  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* kpse-cairo-flags.m4, kpse-cross.m4, kpse-pixman-flags.m4,
	kpse-poppler-flags.m4, kpse-potrace-flags.m4, kpse-win32.m4,
	kpse-zziplib-flags.m4: Clean up.

2014-03-21  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* kpse-setup.m4: Disable LuaJITTeX for known unsupported systems.

2014-03-13  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* kpse-luajit-flags.m4 (KPSE_LUAJIT_DEFINES): Set LUAJIT_LDEXTRA
	to the additional LDFLAGS for 64-bit Darwin.

2014-03-03  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* kpse-pkgs.m4 (kpse_texk_pkgs): Drop dvipdf-x.

2014-02-20  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* kpse-cxx-hack.m4: Adapt for 32- and 64-bit Cygwin.
	From Ken Brown <kbrow1i@gmail.com>.

2014-02-14  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* kpse-luajit-flags.m4: Simplify.

2014-02-13  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* kpse-luajit-flags.m4: Adapt to proxy build system.

2014-02-05  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* kpse-pkgs.m4 (kpse_libs_pkgs): Add luajit.
	* kpse-luajit-flags.m4: New file.

2014-01-13  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* kpse-pkgs.m4: Renamed paper => libpaper. Removed songs.
	* kpse-paper-flags.m4 (removed): Renamed ...
	* kpse-libpaper-flags.m4 (new): ... into this.

2014-01-10  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* kpse-freetype2-flags.m4: Correct location of ft2build.h.

2013-12-20  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* kpse-pkgs.m4 (kpse_utils_pkgs): Add songs.

2013-12-03  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* kpse-pkgs.m4: Move psutils from ../utils/ to ../texk/.

2013-11-25  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* kpse-freetype2-flags.m4: New layout of installed headers.

2013-10-24  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* kpse-pkgs.m4 (kpse_libs_pkgs): Add paper.
	* kpse-paper-flags.m4: New file.

2013-09-10  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* kpse-pkgs.m4 (kpse_libs_pkgs): Drop freetype (Version 1.5).
	(kpse_texk_pkgs): Drop ttf2pk.

2013-09-05  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* kpse-setup.m4 (KPSE_RECURSE_LIBS, KPSE_RECURSE_PROGS):
	New macros to recurse into all library and program modules.
	Ignore missing modules (at both autoconf and configure time).

2013-09-01  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* kpse-freetype2-flags.m4: No reason to require Libtool.

2013-08-18  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* kpse-zlib-flags.m4 (KPSE_ZLIB_FLAGS): Test if <<zlib.h> defines
	'z_const' and accordingly define either ZLIB_CONST or z_const.

2013-08-07  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* cho-libs.m4: Moved ...
	* kpse-libpaper.m4: ... to here and simplified.

2013-08-06  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* kpse-pkgs.m4 (KPSE_TEXK_PKGS): Recover dvipdfm-x@31034
	(essentially dvipdfmx and xdvipdfmx from branch-2013) as
	dvipdf-x.

2013-07-02  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* kpse-common.m4: Drop checks for BSD string functions.

2013-06-19  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* kpse-pkgs.m4 (KPSE_LIBS_PKGS): Add lua52.
	* kpse-lua52-flags.m4: New file.
	* kpse-largefile.m4 (new): CPPFLAGS for largefile support.

2013-06-06  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* kpse-pkgs.m4 (kpse_texk_pkgs): Remove xdv2pdf.

2013-06-02  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* kpse-poppler-flags.m4: Headers installed as for system-poppler.

2013-05-18  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* kpse-pkgs.m4 (KPSE_LIBS_PKGS): Remove t1lib.
	* kpse-t1lib-flags.m4: Removed.

2013-04-12  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* kpse-pkgs.m4 (KPSE_LIBS_PKGS): Add t1lib.
	* kpse-potrace-flags.m4: New file.

2013-03-26  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* kpse-cairo-flags.m4: Require cairo-1.12 or better (message).

2013-03-19  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* kpse-pkgs.m4 (KPSE_TEXK_PKGS): bibtex8+bibtexu -> bibtex-x.

2013-03-01  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* kpse-cairo-flags.m4: Require cairo-1.12 or better.

2013-01-30  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* kpse-common.m4: Enable subdir-objects.
	* kpse-win32.m4: New macros KPSE_COND_* and KPSE_WIN32_CALL.

2013-01-03  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* kpse-icu-flags.m4: Remove KPSE_ICU_XETEX_FLAGS since XeTeX can
	now be built with unmodified ICU libraries.

2013-01-01  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* kpse-setup.m4: The default is to disable silent rules.

2012-12-24  Karl Berry  <karl@tug.org>

	* kpse-pkgs.m4 (KPSE_UTILS_PKGS): add texdoctk.

2012-12-19  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* kpse-freetype2-flags.m4: Only system lib uses freetype-config.
	* kpse-icu-flags.m4: Only system lib uses icu-config.

2012-12-16  Karl Berry  <karl@tug.org>

	* kpse-pkgs.m4 (KPSE_TEXK_PKGS): no more tetex.

2012-12-15  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* kpse-warnings.m4: Bug fix when KPSE_COMPILER_WARNINGS precedes
	AC_PROG_CXX or similar.
	* kpse-setup.m4: The default is to enable silent rules.
	* kpse-common.m4: Factor out KPSE_BASIC from KPSE_COMMON and
	enable silent rules.

2012-12-04  Peter Breitenlohner  <peb@mppmu.mpg.de>

	Add libs/graphite2 for future XeTeX.
	* kpse-graphite2-flags.m4: New file.
	* kpse-harfbuzz-flags.m4, kpse-pkgs.m4: Add the new library.

2012-11-30  Peter Breitenlohner  <peb@mppmu.mpg.de>

	Add libs/harfbuzz for future XeTeX.
	* kpse-harfbuzz-flags.m4: New file.
	* kpse-pkgs.m4: Add the new library.

2012-11-28  Peter Breitenlohner  <peb@mppmu.mpg.de>

	Add libs/pixman and libs/cairo for future MetaPost.
	* kpse-cairo-flags.m4, kpse-pixman-flags.m4: New files.
	* kpse-pkgs.m4: Add the new libraries.

2012-11-26  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* kpse-poppler-flags.m4: Restore -DPOPPLER_VERSION for 0.18.

2012-11-20  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* kpse-poppler-flags.m4: Require poppler-0.18 or better.
	* kpse-freetype2-flags.m4: Simplify flags for lib from TL tree.

2012-10-19  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* kpse-poppler-flags.m4 [WIN32]: Add '-lgdi32' to POPPLER_LIBS.
	* kpse-xpdf-flags.m4 [WIN32]: Add '-lgdi32' to XPDF_LIBS.

2012-10-09  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* kpse-pkgs.m4 (kpse_libs_pkgs): Remove obsdcompat.
	* kpse-obsdcompat-flags.m4: Removed.

2012-07-25  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* kpse-common.m4 (KPSE_COMMON): Check for 64-bit integer types
	and bail out if unsupported.
	Some headers are already checked by AC_HEADER_STDC.

2012-07-23  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* kpse-pkgs.m4 (KPSE_UTILS_PKGS): Moved chktex from here ...
	(KPSE_TEXK_PKGS): ... to here (now using kpathsea).

2012-07-12  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* kpse-pkgs.m4 (KPSE_UTILS_PKGS): Rename mtx => m-tx.

2012-04-24  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* kpse-common.m4 (_KPSE_LIB_FLAGS_TL): Replace sed substitutions
	in configure by m4_bpatsubst() at autoconf time.

2012-04-23  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* kpse-obsdcompat-flags.m4: Correct SRC/BLD dependencies.

2012-03-11  Karl Berry  <karl@tug.org>

	* kpse-xpdf-flags.m4 (KPSE_XPDF_OPTIONS): tweak help text slightly.

2012-02-23  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* kpse-warnings.m4: Drop `-Wimplicit' for g++ >= 4.6.

2012-01-16  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* kpse-setup.m4 (KPSE_SETUP): Normalize `enable_largefile'.

2012-01-13  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* kpse-poppler-flags.m4: Drop `-DPDF_PARSER_ONLY'.

2011-12-06  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* kpse-web2c.m4: Modify msgs when setting enable_*TeX_synctex.

2011-08-26  Karl Berry  <karl@tug.org>

	* kpse-pkgs.m4 (KPSE_UTILS_PKGS): rm dialog.
	See comments in texk/tetex/ChangeLog.

2011-07-15  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* kpse-lib-version.m4 (new): Split FOO_version into FOO_major,
	FOO_minor, and FOO_micro; build FOO_LT_VERSINFO.

2011-07-12  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* kpse-xpdf-flags.m4: Require system (poppler) version >= 0.12.
	* kpse-poppler-flags.m4: Fixed a typo.
	* README: Updated.

	* kpse-warnings.m4 [WARNING_CXXFLAGS, WARNING_OBJCXXFLAGS]:
	For g++ always use either -Wno-write-strings or -Wwrite-strings
	because the default for C++ has changed with gcc-4.4.

	* kpse-web2c.m4: Added configure options `--enable-*-synctex',
	moved handling of `--enable-mktex*-default' from here ...
	* kpse-mktex.m4: ... to this new file.
	* kpse-setup.m4: Added KPSE_MKTEX_PREPARE.

2011-03-07  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* kpse-common.m4 (KPSE_COMMON): Remove check for
	program_invocation_name.

2010-04-11  Karl Berry  <karl@tug.org>

	* kpse-pkgs.m4 (KPSE_TEXK_PKGS): add ptexenc, makejvf, mendexk.
	From Akira and Norbert.
	* kpse-ptexenc-flags.m4: new file.

2010-03-29  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* kpse-icu-flags.m4 (KPSE_ICU_SYSTEM_FLAGS): Work around bug
	in icu-config version 4.4.
	* kpse-common.m4 (KPSE_COMMON): Added AC_TYPE_SIZE_T.

2010-02-20  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* kpse-common.m4 (KPSE_COMMON): Use LT_INIT([win32-dll]).
	* kpse-gd-flags.m4 (KPSE_GD_FLAGS): Add -DNONDLL.

2010-02-12  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* kpse-kpathsea-flags.m4: Detect if libkpathsea was compiled
	without debugging support and add '-DNODEBUG' if necessary.

2010-02-02  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* kpse-warnings.m4: Redefine compiler warning levels to
	reduce the number of 'min' warnings.

2009-11-12  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* kpse-setup.m4: Disable cross compilation of xindy.
	* configure.ac: Report absolute build and source dir; reject
	paths with embedded spaces.

2009-09-01  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* kpse-warnings.m4: Additional level 'all' of compiler
	warnings, 'max' now without the extremely noisy -Wshadow.

2009-08-17  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* kpse-warnings.m4: Implement Objective C compiler warnings.

(This file public domain.)
